Preview metric expression
POST
/api/v1/livedoc/query/preview-metric
const url = 'https://app.avera.io/api/v1/livedoc/query/preview-metric';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"expression":"example","format":{"type":"example","pattern":"example","prefix":"example","suffix":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.avera.io/api/v1/livedoc/query/preview-metric \ --header 'Content-Type: application/json' \ --data '{ "expression": "example", "format": { "type": "example", "pattern": "example", "prefix": "example", "suffix": "example" } }'Test a metric expression
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Responses
Section titled “Responses”OK
Media type*/*
object
value
null
formattedValue
required
string
error
string | null
executionTimeMs
required
integer format: int64